# SPDX-License-Identifier: (GPL-2.0 OR BSD-2-Clause)
# Copyright 2022 Linaro Ltd.
%YAML 1.2
---
$id: http://devicetree.org/schemas/timer/st,nomadik-mtu.yaml#
$schema: http://devicetree.org/meta-schemas/core.yaml#

title: ST Microelectronics Nomadik Multi-Timer Unit MTU Timer

maintainers:
  - Linus Walleij <linusw@kernel.org>

description: This timer is found in the ST Microelectronics Nomadik
  SoCs STn8800, STn8810 and STn8815 as well as in ST-Ericsson DB8500.

properties:
  compatible:
    items:
      - const: st,nomadik-mtu

  reg:
    maxItems: 1

  interrupts:
    maxItems: 1

  clocks:
    description: The first clock named TIMCLK clocks the actual timers and
      the second clock clocks the digital interface to the interconnect.
    maxItems: 2

  clock-names:
    items:
      - const: timclk
      - const: apb_pclk

required:
  - compatible
  - reg
  - interrupts
  - clocks
  - clock-names

additionalProperties: false

examples:
  - |
    #include <dt-bindings/interrupt-controller/irq.h>
    #include <dt-bindings/interrupt-controller/arm-gic.h>
    #include <dt-bindings/mfd/dbx500-prcmu.h>
    timer@a03c6000 {
      compatible = "st,nomadik-mtu";
      reg = <0xa03c6000 0x1000>;
      interrupts = <GIC_SPI 4 IRQ_TYPE_LEVEL_HIGH>;

      clocks = <&prcmu_clk PRCMU_TIMCLK>, <&prcc_pclk 6 6>;
      clock-names = "timclk", "apb_pclk";
    };
